Your best friend for file transfer.

Fetch application logoFetch

Fetch for Mavericks (2 posts)

  • Started 8 months ago by Jim Maynard
  • Latest reply 8 months ago from Jim Matthews
  • Jim Maynard Member

    Hello, I purchased Fetch 5 in January 2008. Just over ten years ago.
    I just purchased 5.7.
    Just as soon as I clicked on the button to complete the purchase, I remembered that my office Mac and my laptop both have OS 10.10.5. But, my home Mac (the one I use the most) is 10.9.5.

    I much prefer 10.9.5 to anything newer.

    Can I download Fetch 5.6 and use it with my original Fetch Serial Name, Serial Number?

    Posted 8 months ago #

  • Jim Matthews Administrator

    Hi,

    I would recommend using Fetch 5.7.7 (the latest release) on all your systems. It's compatible with 10.5 and later (including 10.9 Mavericks).

    Thanks,

    Jim Matthews
    Fetch Softworks

    Posted 8 months ago #

Reply

  • Or nickname, if you prefer.
  • This will be kept confidential.
  • This is to ensure that you’re a person, not a spambot.